=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test $(fail_param)
+	#xvfb-run -a dh_auto_test $(fail_param)
