## kimageformats 5.98.0

=== debian/changelog ===
kimageformats (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:32:18 +0100

kimageformats (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:33 +0200

kimageformats (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Drop patch upstream_psd-Fix-segfault-on-architectures-where-char-is-
    unsi.patch applied upstream.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:02 +0200

kimageformats (5.94.0-3) unstable; urgency=medium

  * Team upload.
  * Enable the HEIF/HEIC plugin:
    - add the libheif-dev build dependency
    - pass -DKIMAGEFORMATS_HEIF=ON to cmake
  * Backport upstream commit 2a84dd677db53729be5862503ac56c5139086bb3 to fix
    a crash in the psd plugin on architectures with unsigned char; patch
    upstream_psd-Fix-segfault-on-architectures-where-char-is-unsi.patch
    - stop passing -fsigned-char to CFLAGS & CXXFLAGS, as it should not be
      needed anymore now

 -- Pino Toscano <pino@debian.org>  Wed, 01 Jun 2022 07:53:34 +0200

kimageformats (5.94.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * CI: enable again the blhc job.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Mark the xauth, and xvfb build dependencies as <!nocheck>, as they are
    needed only when running the test suite.
  * Pass -fsigned-char to CFLAGS & CXXFLAGS: apparently the psd plugin is
    broken on architectures where char is unsigned.
  * Make the test suite fatal also on big endian architectures: with the
    recent upstream changes to it, and the above -fsigned-char workaround,
    it seems the psd plugin works also on big endian architectures now.

 -- Pino Toscano <pino@debian.org>  Fri, 27 May 2022 09:47:46 +0200

kimageformats (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

kimageformats (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:45 +0200

kimageformats (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100
