=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.100.0~),
                libavif-dev (>= 0.8.2~),
                libheif-dev (>= 1.10.0~),
-               libkf5archive-dev (>= 5.98.0~),
-               libopenexr-dev,
+               libkf5archive-dev,
+               libopenexr-dev (>= 3.0~),
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
