=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.101.0~),
+               extra-cmake-modules (>= 5.102.0~),
                libavif-dev (>= 0.8.2~),
                libheif-dev (>= 1.10.0~),
-               libjxl-dev (>= 0.6.1~) [amd64 i386],
+               libjxl-dev (>= 0.6.1~) [linux-any],
                libkf5archive-dev,
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
@@ -17,7 +17,7 @@
                qtbase5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kimageformats
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimageformats
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimageformats.git
