=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.102.0~),
+               extra-cmake-modules (>= 5.103.0~),
                libavif-dev (>= 0.8.2~),
                libheif-dev (>= 1.10.0~),
                libjxl-dev (>= 0.6.1~) [linux-any],
@@ -25,7 +25,7 @@
 
 Package: kimageformat-plugins
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: additional image format plugins for QtGui
  This framework provides additional image format plugins for QtGui.  As
  such it is not required for the compilation of any other software, but
