## kimageformats 5.104.0

=== debian/changelog ===
kimageformats (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)
  * Re-add hello as an alternative build dependency of libjxl-dev,
    needed for backports

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:16:43 +0000
