=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: kimageformats
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
                libavif-dev (>= 0.8.2~),
                libheif-dev (>= 1.10.0~),
-               libjxl-dev (>= 0.6.1~) [linux-any],
-               libkf5archive-dev,
+               libjxl-dev (>= 0.6.1~) [linux-any] | hello,
+               libkf5archive-dev (>= 5.104.0~),
                libopenexr-dev (>= 3.0~),
                libraw-dev (>= 0.20.2~),
                pkg-config,
@@ -19,8 +20,8 @@
                xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kimageformats
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kimageformats
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kimageformats.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimageformats
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kimageformats
 Rules-Requires-Root: no
 
 Package: kimageformat-plugins
