=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,6 @@
 
 # Disable fixfilepath, as it triggers build failures.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath
-
-ifeq ($(DEB_HOST_ARCH_CPU),i386)
-  export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store
-endif
 
 %:
 	dh $@
